﻿using System;
using System.Web.UI;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Parsing;
using System.IO;
using Syncfusion.Pdf.Graphics;

namespace PdfTextExtraction
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        # region Events
        /// <summary>
        /// Creates PDF
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Button1_Click(object sender, EventArgs e)
        {

            if (System.IO.Path.GetExtension(fileUpload1.PostedFile.FileName).Equals(".pdf"))
            {
                Stream sfile1 = fileUpload1.PostedFile.InputStream;

                // Load an existing PDF
                PdfLoadedDocument ldoc = new PdfLoadedDocument(sfile1);

                // Loading Page collections
                PdfLoadedPageCollection loadedPages = ldoc.Pages;
                PdfGraphics graphics = loadedPages[0].Graphics;
                string text = "Sample Text drawn";
                graphics.DrawString(text, new PdfStandardFont(PdfFontFamily.Helvetica, 20), PdfBrushes.BlueViolet, new System.Drawing.PointF(20, 20));
               
                ldoc.Save("Output.pdf", this.Response, HttpReadType.Save);
               
            }

        }
        # endregion
    }
}